# \Thelia\Core\EventCartEvent

## Summary

Methods
Properties
Constants
__construct()
setAppend()
getAppend()
setCartItem()
getCartItem()
setNewness()
getNewness()
setProduct()
getProduct()
setProductSaleElementsId()
getProductSaleElementsId()
setQuantity()
getQuantity()
getCart()
No public properties found
No constants found
No protected methods found
$cart
$quantity
$append
$newness
$productSaleElementsId
$product
$cartItem
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/CartEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\CartEvent

## Tags

None found

## Properties

### $cart

    $cart

#

## Tags

None found

### $quantity

    $quantity

#

## Tags

None found

### $append

    $append

#

## Tags

None found

### $newness

    $newness

#

## Tags

None found

### $productSaleElementsId

    $productSaleElementsId

#

## Tags

None found

### $product

    $product

#

## Tags

None found

### $cartItem

    $cartItem

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Model\Cart $cart)

#### Parameters

\Thelia\Model\Cart | $cart |

#

## Tags

None found

### setAppend()

    setAppend(mixed $append)

#### Parameters

mixed | $append |

#

## Tags

None found

### getAppend()

    getAppend() : mixed

#### Returns

mixed

#

## Tags

None found

### setCartItem()

    setCartItem(mixed $cartItem)

#### Parameters

mixed | $cartItem |

#

## Tags

None found

### getCartItem()

    getCartItem() : mixed

#### Returns

mixed

#

## Tags

None found

### setNewness()

    setNewness(mixed $newness)

#### Parameters

mixed | $newness |

#

## Tags

None found

### getNewness()

    getNewness() : mixed

#### Returns

mixed

#

## Tags

None found

### setProduct()

    setProduct(mixed $product)

#### Parameters

mixed | $product |

#

## Tags

None found

### getProduct()

    getProduct() : mixed

#### Returns

mixed

#

## Tags

None found

### setProductSaleElementsId()

    setProductSaleElementsId(mixed $productSaleElementsId)

#### Parameters

mixed | $productSaleElementsId |

#

## Tags

None found

### getProductSaleElementsId()

    getProductSaleElementsId() : mixed

#### Returns

mixed

#

## Tags

None found

### setQuantity()

    setQuantity(mixed $quantity)

#### Parameters

mixed | $quantity |

#

## Tags

None found

### getQuantity()

    getQuantity() : mixed

#### Returns

mixed

#

## Tags

None found

### getCart()

    getCart() : \Thelia\Model\Cart

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### CartEvent.php